classification
Title: [2.7] test_bsddb3 crash on x86 Windows7 2.7
Type: Stage: resolved
Components: Tests, Windows Versions: Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: haypo, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2017-06-26 21:58 by haypo, last changed 2017-08-11 00:02 by haypo.

Pull Requests
URL Status Linked Edit
PR 2877 merged haypo, 2017-07-26 00:22
Messages (5)
msg296956 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-26 21:58
http://buildbot.python.org/all/builders/x86%20Windows%20XP%202.7/builds/213/steps/test/logs/stdio

Run tests in parallel using 2 child processes
...
0:22:09 [321/404/1] test_bsddb3 crashed -- running: test_io (242 sec)
  test_bsddb3 still working, be patient...
Berkeley DB 4.7.25: (May 15, 2008)
Test path prefix:  c:\docume~1\db3l\locals~1\temp\z-test_bsddb3-2068
...
361 tests OK.
1 test failed:
    test_bsddb3
...
Re-running test 'test_bsddb3' in verbose mode
...
testCheckElapsedTime (test.test_bsddb3.TimingCheck) ... ok
test01_get_returns_none (bsddb.test.test_get_none.GetReturnsNoneTestCase) ... ok
test02_get_raises_exception (bsddb.test.test_get_none.GetReturnsNoneTestCase) ... ok
testCheckElapsedTime (test.test_bsddb3.TimingCheck) ... ok
test01_join (bsddb.test.test_join.JoinTestCase) ... ok
testCheckElapsedTime (test.test_bsddb3.TimingCheck) ... ok
test01_simple (bsddb.test.test_lock.LockingTestCase) ... ok
test02_threaded (bsddb.test.test_lock.LockingTestCase) ... ok
test04_lock_timeout2 (bsddb.test.test_lock.LockingTestCase) ... FAIL
testCheckElapsedTime (test.test_bsddb3.TimingCheck) ... ok
test01_badpointer (bsddb.test.test_misc.MiscTestCase) ... Berkeley DB 4.7.25: (May 15, 2008)
Test path prefix:  c:\docume~1\db3l\locals~1\temp\z-test_bsddb3-644
program finished with exit code -1073741819
elapsedTime=2073.500000
msg299176 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-26 00:20
I opened a thread on python-dev and it was decided to skip test_bsddb3 on Windows XP:
https://mail.python.org/pipermail/python-dev/2017-July/148745.html
msg299247 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-26 15:55
New changeset 0cba38d207dc233707b09787e6618cfca44cc2b7 by Victor Stinner in branch '2.7':
bpo-30778: Skip test_bsddb3 on Windows XP (#2877)
https://github.com/python/cpython/commit/0cba38d207dc233707b09787e6618cfca44cc2b7
msg299248 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-26 15:56
test_bsddb3 is now skipped on Windows XP (on Python 2.7).
msg299255 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-07-26 17:11
Reopen since we got a similar issue on Windows 7:

http://buildbot.python.org/all/builders/x86%20Windows7%202.7/builds/242/steps/test/logs/stdio

(...)
0:35:07 [398/403] test_generators passed -- running: test_bsddb3 (1233 sec)
0:35:07 [399/403] test_MimeWriter passed -- running: test_bsddb3 (1234 sec)
0:35:08 [400/403] test_macostools skipped -- running: test_bsddb3 (1234 sec)
test_macostools skipped -- No module named MacOS
0:35:18 [401/403] test_winsound passed -- running: test_bsddb3 (1244 sec)
0:35:18 [402/403] test_old_mailbox passed -- running: test_bsddb3 (1245 sec)

command timed out: 1200 seconds without output running ['Tools\\buildbot\\test.bat', '-j2'], attempting to kill
running: test_bsddb3 (1275 sec)
running: test_bsddb3 (1305 sec)
running: test_bsddb3 (1335 sec)
(...)
running: test_bsddb3 (2415 sec)
running: test_bsddb3 (2445 sec)
0:55:30 [403/403/1] test_bsddb3 crashed
program finished with exit code 1
elapsedTime=3342.189000
History
Date User Action Args
2017-08-11 00:02:57hayposettitle: test_bsddb3 crash on x86 Windows7 2.7 -> [2.7] test_bsddb3 crash on x86 Windows7 2.7
2017-08-11 00:02:48hayposettitle: test_bsddb3 crash on x86 Windows XP 2.7 -> test_bsddb3 crash on x86 Windows7 2.7
2017-07-26 17:11:16hayposetstatus: closed -> open
resolution: fixed ->
messages: + msg299255
2017-07-26 15:56:49hayposetstatus: open -> closed
resolution: fixed
messages: + msg299248

stage: resolved
2017-07-26 15:55:54hayposetmessages: + msg299247
2017-07-26 00:22:07hayposetpull_requests: + pull_request2928
2017-07-26 00:20:45hayposetmessages: + msg299176
2017-07-24 16:03:13terry.reedyunlinkissue30728 dependencies
2017-06-27 00:46:41terry.reedylinkissue30728 dependencies
2017-06-26 21:58:49hayposetnosy: + paul.moore, tim.golden, zach.ware, steve.dower

components: + Tests, Windows
versions: + Python 2.7
2017-06-26 21:58:36haypocreate